#pragma once
#include "core/render_context.h"

class mirage_render_context;

class mirage_app {
public:
	void init();
	void run();

	[[nodiscard]] mirage_render_context* get_render_context() const {
		return render_context;
	}
private:
	mirage_render_context* render_context{};
	time_type last_time = {};
};
